geodata-loader: standard
geodata-mode: true
geox-url:
  geoip: "https://cdn.jsdelivr.net/gh/Loyalsoldier/v2ray-rules-dat@release/geoip.dat"
  geosite: "https://cdn.jsdelivr.net/gh/Loyalsoldier/v2ray-rules-dat@release/geosite.dat"
geo-auto-update: true
geo-update-interval: 24

log-level: warning

tun:
  enable: true
  stack: mixed
  auto-route: true
  dns-hijack:
    - any:53
  strict-route: true

dns:
  enable: true
  prefer-h3: true
  ipv6: true
  enhanced-mode: fake-ip
  fake-ip-range: 198.18.0.1/16
  fake-ip-filter-mode: blacklist
  fake-ip-filter:
    - "geosite:connectivity-check"
    - "geosite:private"
    - "geosite:google"
    - "+.qiushiyinghuo.top"
  default-nameserver:
    - 223.5.5.5
  direct-nameserver:
    - system
  nameserver:
    - https://223.5.5.5/dns-query
    - https://120.53.53.53/dns-query

sniffer:
  enable: true
  force-dns-mapping: true

proxies:
  - name: HK
    type: vless
    server: 43.99.41.234
    port: 443
    udp: true
    uuid: a335aab4-34b7-448e-bdf3-af5f30bb8ed7
    flow: xtls-rprx-vision
    tls: true
    servername: www.qiushiyinghuo.top
    client-fingerprint: chrome
    alpn:
    - h2
    - http/1.1
    skip-cert-verify: false
    encryption: ""

  - name: HUST
    type: hysteria2
    server: 8.162.2.231
    port: 8388
    password: vFu1Qb9k5nLhyhZZcLZnMM41BGCfKw7DEQl-eOBKtjY
    skip-cert-verify: true

proxy-groups:
  - name: PROXY
    type: select
    proxies:
      - HK
      - DIRECT
  - name: Scholar
    type: select
    proxies:
      - DIRECT
      - HUST
    url: http://connectivitycheck.platform.hicloud.com/generate_204

rule-providers:
  cnweb: 
    type: inline
    behavior: classical
    path: ./ruleset/cnweb.yaml
    payload:
      - DOMAIN-SUFFIX,oaistatic.com
      - DOMAIN-SUFFIX,ti.com

      - DOMAIN,crossmark-cdn.crossref.org

      - GEOSITE,steam@cn
      - GEOSITE,stackexchange
      - GEOSITE,microsoft-dev
      - GEOSITE,google-cn
      - GEOSITE,category-entertainment-cn
      - GEOSITE,teamviewer
      - GEOSITE,logitech

  scholar:
    type: inline
    behavior: classical
    path: ./ruleset/scholar.yaml
    payload:
      - GEOSITE,category-scholar-cn
      - GEOSITE,category-education-cn
      - GEOSITE,category-scholar-!cn
      
      - DOMAIN-SUFFIX,clarivate.net
      - DOMAIN-SUFFIX,clarivate.cn
      - DOMAIN-SUFFIX,sinomed.ac.cn
      - DOMAIN-SUFFIX,karger.cn
      - DOMAIN-SUFFIX,pqdtcn.com
      - DOMAIN-SUFFIX,micromedexsolutions.com
      - DOMAIN-SUFFIX,medicinescomplete.com
      - DOMAIN-SUFFIX,mdpi-res.com
      - DOMAIN-SUFFIX,aip.org

rules:
  # Server
  - IP-CIDR,43.99.41.234/32,DIRECT,no-resolve
  - IP-CIDR,8.162.2.231/32,DIRECT,no-resolve
  - GEOIP,private,DIRECT,no-resolve
  - GEOIP,cn,DIRECT,no-resolve

  - DOMAIN-SUFFIX,qiushiyinghuo.top,DIRECT
  - GEOSITE,category-ads-all,REJECT
  - GEOSITE,connectivity-check,DIRECT
  - GEOSITE,private,DIRECT

  - GEOSITE,google-scholar,PROXY
  - RULE-SET,scholar,Scholar

  - RULE-SET,cnweb,DIRECT
  - GEOSITE,cn,DIRECT

  - MATCH,PROXY
